| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | List of all members
UatDelegate Class Reference

A delegate for rendering and editing fields in User Accessible Tables (UAT). More...

`#include <uat_delegate.h>`

Inheritance diagram for UatDelegate:

## Public Member Functions
| UatDelegate (QObject *parent=0)
| Constructs a new UatDelegate object.
QWidget * | createEditor (QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const override
| Creates the editor widget for the specified item.
void | setEditorData (QWidget *editor, const QModelIndex &index) const override
| Sets the data to be displayed in the editor widget.
void | setModelData (QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const override
| Saves the data from the editor widget back into the model.
void | updateEditorGeometry (QWidget *editor, const QStyleOptionViewItem &option, const QModelIndex &index) const override
| Updates the geometry of the editor widget based on the style option.

## Protected Slots
void | pathHasChanged (QString newPath)
| Handles the event when a file or directory path has changed.

## Detailed Description

A delegate for rendering and editing fields in User Accessible Tables (UAT).

## Constructor & Destructor Documentation

## ◆ UatDelegate()

UatDelegate::UatDelegate | ( | QObject * | parent = 0 | ) |

Constructs a new UatDelegate object.

Parameters

  parent | The parent object.

## Member Function Documentation

## ◆ createEditor()

QWidget * UatDelegate::createEditor | ( | QWidget * | parent,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index ) const
| override

Creates the editor widget for the specified item.

Parameters

  parent | The parent widget.
  option | The style option for the item.
  index | The model index of the item being edited.

Returns
  A pointer to the created editor widget.

## ◆ pathHasChanged

void UatDelegate::pathHasChanged | ( | QString | newPath | ) |
| protected slot

Handles the event when a file or directory path has changed.

Parameters

  newPath | The newly selected path string.

## ◆ setEditorData()

void UatDelegate::setEditorData | ( | QWidget * | editor,
|  | const QModelIndex & | index ) const
| override

Sets the data to be displayed in the editor widget.

Parameters

  editor | The editor widget.
  index | The model index of the item being edited.

## ◆ setModelData()

void UatDelegate::setModelData | ( | QWidget * | editor,
|  | QAbstractItemModel * | model,
|  | const QModelIndex & | index ) const
| override

Saves the data from the editor widget back into the model.

Parameters

  editor | The editor widget.
  model | The data model.
  index | The model index of the item being edited.

## ◆ updateEditorGeometry()

void UatDelegate::updateEditorGeometry | ( | QWidget * | editor,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index ) const
| override

Updates the geometry of the editor widget based on the style option.

Parameters

  editor | The editor widget.
  option | The style option for the item.
  index | The model index of the item being edited.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/uat_delegate.h
- /builds/wireshark/wireshark/ui/qt/models/uat_delegate.cpp